eth_getBlockTransactionCountByNumber

Endpoint: POST https://api.infstones.com/bsc/mainnet/YOUR_PROJECT_ID

Parameters

Object NameRequiredTypeDetail
BLOCK PARAMETER✅String/ObjectA hex code of an integer that represents the block number, "latest", "earliest" , "pending" , or hash of a block. The hash of a block is an object specified as: {"blockHash": "\<hash_value>"}. Learn more here.
"params": ["0xfb8fbe"]

Result

A hex code of an integer that represents the number of transactions in the provided block.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByNumber","params": ["0xfb8fbe"],"id":1}'

Return

{
    "id": 1,
    "jsonrpc": "2.0",
    "result": "0xcb"
}